Subject: bug#57995: <wheel-right> with pixel-scroll-precision-mode

From: Tak Kunihiro <[email-masked]>
Date: Mon, 04 Sep 2023 09:18:10 +0900 (JST)

>>>>> (lldb) p [theEvent scrollingDeltaX]
>>>> (CGFloat) $0 = -1
>>>>
>>>> HTH
>>>
>>> That looks completely normal!
>>>
>>> I am lost here.  I will try to reproduce this on a Macbook tomorrow.
>>
>> Po Lu, did you make any progress with this bug?
>
> I don't remember.  Tak, are you still experiencing this?

I checked on the following build and I do not see the problem.
I think that it is fixed.

GNU Emacs 29.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60
 Version 10.14.6 (Build 18G9323)) of 2023-07-30